[
{
    blockid=route;
    help=service_smtp_route_route;
    custom="com.netscape.management.msgserv.ServiceMTARoutingControl";
    localvar={
	/* translate this block */
	.header.text="Configuration du routage LDAP";
	.fallback.text="Si le serveur ne parvient pas \u00e0 trouver d'entr\u00e9e LDAP avec une adresse \u00e9lectronique particuli\u00e8re, recommencez la recherche en utilisant les m\u00e9thodes s\u00e9lectionn\u00e9es :";
	.fallback.1.text="Rechercher un domaine personnalis\u00e9";
	.fallback.2.text="Rechercher avec un domaine tronqu\u00e9 (laisser de c\u00f4t\u00e9 la partie h\u00f4te en local)";
	.fallback.4.text="Rechercher par ID utilisateur";
	.routing.text="Table de routage de messagerie SMTP :";
    };
    content=[
	{
	    ctrl=label;
	    text=$.header.text;
	    font=["","",16];
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=routinglabel;
	    text=$.routing.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=stdtable;
	    stdtable=true;
	    addui=routedialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    editui=routedialog;
	    val=$service.smtp.smtp-router.hostrewrites.value;
	    label=routinglabel;
	    showedit=true;
	    buttonsat=east;
	    delimiter=" ";
	    visiblerows=5;
	    columns=[
		{
		    header="Table de routage";
		    varname=routeentry;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=fallbacklabel;
	    text=$.fallback.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=proxy;
		    label=fallbacklabel;
		    val=$service.smtp.smtp-router.fallbacksearchmethod.value;
		},
		{
		    ctrl=rigid;
		    dimension=[12,1];
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=togglepane;
			    id=fallback0;
			    text=$.fallback.1.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback1;
			    text=$.fallback.2.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback2;
			    text=$.fallback.4.text;
			    text="Rechercher par ID utilisateur";
			    label=fallbacklabel;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	}
    ]
},
{
    blockid=routedialog;
    localvar={
	.route.help="Entr\u00e9e de table de routage :";
    };
    content=[
	{
	    ctrl=label;
	    id=routelabel;
	    wrap=$g.label.size4;
	    text=$.route.help;
	},
	{
	    ctrl=text;
	    label=routelabel;
	    val=$routeentry;
	}
    ]
}
]
